[PATCH 4 of 5 3.27] [ldapfeed] re-enable ldap tests for python 3.7

Philippe Pepiot philippe.pepiot at logilab.fr
Wed Feb 26 16:14:27 CET 2020


# HG changeset patch
# User Philippe Pepiot <philippe.pepiot at logilab.fr>
# Date 1582669832 -3600
#      Tue Feb 25 23:30:32 2020 +0100
# Branch 3.27
# Node ID d6efa58b3bf9e0e0a5b47a3a1e82837fab8a5371
# Parent  8adbd8853175d421f1703555ee1fb8c718dde8b8
# Available At https://hg.logilab.org/review/cubicweb
#              hg pull https://hg.logilab.org/review/cubicweb -r d6efa58b3bf9
[ldapfeed] re-enable ldap tests for python 3.7

This was disabled because ldap3<2 wasn't compatible with python 3.7
While I'm here, drop unseless newline.

diff --git a/cubicweb/server/test/unittest_ldapsource.py b/cubicweb/server/test/unittest_ldapsource.py
--- a/cubicweb/server/test/unittest_ldapsource.py
+++ b/cubicweb/server/test/unittest_ldapsource.py
@@ -143,12 +143,8 @@ class LDAPFeedTestBase(CubicWebTC):
 
     @classmethod
     def pre_setup_database(cls, cnx, config):
-        if sys.version_info[:2] >= (3, 7):
-            raise unittest.SkipTest(
-                'ldapfeed is not currently compatible with Python 3.7')
         cnx.create_entity('CWSource', name=u'ldap', type=u'ldapfeed', parser=u'ldapfeed',
                           url=URL, config=CONFIG_LDAPFEED)
-
         cnx.commit()
         return cls.pull(cnx)
 




More information about the cubicweb-devel mailing list